Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000350 [SkyOS 5.0 - Beta] Misc minor always 2004-10-05 20:29 2005-02-15 11:30
Reporter btbeeston View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000350: '^' character doesn't appear until next key is pressed
Description The '^' character does not get displayed until the next key has been pressed. This has been tested in beta8 terminal and SkyPad using US and UK keymaps. Also in German-DE keymap which has character on different key showing it is the character and not the key itself that is the problem.
Additional Information
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000218)
robert (administrator)
2004-10-05 22:43

In german keyboard layouts the ^key is a dead key. This means if you press ^ no key will appear until you press the next key.

For instance:

^ + a = â
^ + e = ê
(0000219)
btbeeston (reporter)
2004-10-06 01:28

Ok, I understand that now.

Adding:-


[DeadKeys]
'','',''


To the end of the keymap file gets round the problem with the UK and US keymap files.

- Issue History
Date Modified Username Field Change
2004-10-05 20:29 btbeeston New Issue
2004-10-05 22:43 robert Note Added: 0000218
2004-10-06 01:28 btbeeston Note Added: 0000219
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta
2005-02-15 11:30 robert Status new => resolved
2005-02-15 11:30 robert Resolution open => fixed
2005-02-15 11:30 robert Assigned To => robert


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker